package com.xunmei.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunmei.common.core.vo.IdNameVo;
import com.xunmei.system.api.domain.SysOrg;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author xunmei
 * @date 2023-08-10
 */
public interface SysOrgMapper extends BaseMapper<SysOrg> {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
     SysOrg selectSysOrgById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param sysOrg 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
     List<SysOrg> selectSysOrgList(SysOrg sysOrg);

    /**
     * 新增【请填写功能名称】
     *
     * @param sysOrg 【请填写功能名称】
     * @return 结果
     */
     int insertSysOrg(SysOrg sysOrg);
    List<Long> selectCheckSubOrgIdList(@Param("orgId") Long orgId);

    /**
     * 修改【请填写功能名称】
     *
     * @param sysOrg 【请填写功能名称】
     * @return 结果
     */
     int updateSysOrg(SysOrg sysOrg);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
     int deleteSysOrgById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysOrgByIds(Long[] ids);

    List<Long> findListByOrgType(@Param("execOrgType") Integer execOrgType);

    SysOrg selectSysOrgByUserId(@Param("userId") Long userId);

    /**
     * 获取机构及父级机构的名称
     * @param ids
     * @return
     */
    List<IdNameVo> getParentName(@Param("ids") List<Long> ids);
}
